Index: trunk/Poubelle/archTOI.old/archeopsfile.h
===================================================================
--- trunk/Poubelle/archTOI.old/archeopsfile.h	(revision 436)
+++ trunk/Poubelle/archTOI.old/archeopsfile.h	(revision 534)
@@ -9,15 +9,8 @@
 #include <stack>
 
+using namespace std;
 
-#ifndef nb_max_bolo
-#define _archeops		//  Acquisition Archeops (avec transputer) 
-#define programme
-extern "C" {
-#include "archeops.h"
-}
-#endif
-
-#include "ssthandler.h"
-#include "gpsparser.h"
+#include "ark.h"
+#include "archexc.h"
 
 enum {
@@ -50,11 +43,4 @@
 class BlockSet;
 
-class ArchExc {
-public:
-  ArchExc(string s) : msg(s) {}
-  string Msg() {return msg;}
-protected:
-  string msg;
-};
 
 class ArcheopsFile {
@@ -64,5 +50,5 @@
   virtual ~ArcheopsFile();
   
-  void setUTCOffset(int UTCOffset=2); // StartMJD : decodage a partir du nom du bloc...
+  void setUTCOffset(double UTCOffset=2); // StartMJD : decodage a partir du nom du bloc...
   double getStartMJD();
   
@@ -76,9 +62,4 @@
   string blockRawKdName();
   string filename() {return fn;}
-  
-  double perEchant(); // periode d'echantillonage pour le dernier bloc reglage
-  double perBlock();  // duree (en secondes) correspondant a un bloc bolo
-                      // utilise infos dernier bloc param et dernier bloc reglage.
-  int nEchBlock(); // Nb d'echantillons dans un bloc bolo
   
   
@@ -109,66 +90,5 @@
   
   void forceBlock(block_type_modele* blk);
-  
-  // Decodage des derniers blocs..
-  
-  // GPS
-  // On travaille en MJD = JD - 2450000.0, = 9 octobre 1995 midi UTC
-  // 1er juillet 1999 minuit UTC = JD 2451360.5,   MJD 1360.5 
-  // Ces fonctions travaillent sur le dernier bloc GPS 
-  int getGPSBlockNum();
-  bool   hasGPSTime();
-  bool   hasGPSPos();
-  bool   hasGPSAlt();
-  double getGPSUTC();  // en secondes depuis minuit UTC
-  double getGPSMJD();  // modified julian day du dernier bloc GPS, JD - 2450000
-  double getGPSLat();  // degres, +  = NORD
-  double getGPSLong(); // degres, +  = EST
-  double getGPSAlt();  // meters from sea level
     
-  // Bolo
-  int getReglageBlockNum();
-  int getBoloBlockNum();
-  int getBoloCompBlockNum();
-  double getBoloRawMuV(int ibolo, int imesure);   // donnee brute en microvolts et signe change.
-  double getBoloRawMuVCN(int ibolo, int imesure);  // bruit de compression, en microVolts
-  double getBoloMuV(int ibolo, int imesure); // microvolts, filtre avec filtre carre
-  double getBoloMuV2(int ibolo, int imesure); // microvolts, filtre +sioux
-  double getGainAmpli(int ibolo);
-  double getDACV(int ibolo); // offset en microvolt
-  double getDACI(int ibolo); // courant en microAmps
-  double getBoloMuV2T(int ibolo, int imesure); // avec soustraction dacV
-  double getBoloRes(int ibolo, int imesure); // Ohms
-  double getBoloTemp(int ibolo, int imesure); // K
-  
-  // Dilution
-  int getDilutionBlockNum();
-  int4 getADCDil(int iADC);
-  int4 getSwitchDil();
-  
-  // SST, gyros, etc
-  int getSSTBlockNum();
-  int getSSTCompBlockNum();
-  void needSSTProcessMask(int mask);
-  long getSSTRawSignal(int iDiode, int imesure);
-  long getSSTSignal(int iDiode, int imesure);
-  double getSSTRawSignalCN(int iDiode, int imesure);
-  double getSSTSignalCN(int iDiode, int imesure);
-  double getSSTStarZ(int iStar, int imesure);
-  double getSSTStarF(int iStar, int imesure);
-  double getSSTStarT(int iStar, int imesure);
-  int getNumbStar(int imesure);
-  
-  int getGyroBlockNum();
-  long getGyroRaw(int iGyro, int imesure);
-  double getGyroTens(int iGyro, int imesure);
-  double getGyroSpeed(int iGyro, int imesure);
-  
-  double getAzimut(int imesure);
-  double getPendDirect(int imesure);
-  double getPendOrth(int imesure);
-  
-  double getAlphaAxis(int imesure);
-  double getDeltaAxis(int imesure);
-  
   static double decodeMJD(string const& dateString); // sans tenir compte de TU-TLeg
     
@@ -176,5 +96,5 @@
   BlockSet*                 blockSet;
   stack<BlockSet*>          blockStack;
-  stack<size_t>             fposStack;
+  stack<long>               fposStack;
   
   void saveCurBlock();
@@ -193,5 +113,5 @@
   long                      curPos;
   long                      peekPos;
-  size_t                    fLen;
+  long                      fLen;
   FILE* f;
   string fn;
